package nc.vo.hi.entrymng;

import nc.vo.pub.IVOMeta;
import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFBoolean;
import nc.vo.pub.lang.UFDateTime;
import nc.vo.pub.lang.UFLiteralDate;
import nc.vo.pubapp.pattern.model.meta.entity.vo.VOMetaFactory;

public class EntryapplyVO extends SuperVO
{
	@Override
	public IVOMeta getMetaData()
	{
		return VOMetaFactory.getInstance().getVOMeta("hrhi." + getTableName());
	}
	private String				pk_entryapply;
	private String				pk_psnjob;
	private String				pk_psndoc;
	private String				bill_code;
	private String				pk_group;
	private String				pk_org;
	private String				pk_hi_org;
	private String				pk_billtype;
	private Integer				approve_state;
	private Integer				workflow_state;
	private String				business_type;
	private String				transtype;
	private String				transtypeid;
	private String				billmaker;
	private UFLiteralDate		apply_date;
	private String				approver;
	private UFDateTime			approve_time;
	private String				approve_note;
	private String				memo;
	private String				creator;
	private UFDateTime			creationtime;
	private String				modifier;
	private UFDateTime			modifiedtime;
	private Integer				dr				= 0;
	private UFDateTime			ts;
	private UFBoolean			issyncwork;
	private UFBoolean			isneedfile;

	public static final String	PK_ENTRYAPPLY	= "pk_entryapply";
	public static final String	PK_PSNJOB		= "pk_psnjob";
	public static final String	PK_PSNDOC		= "pk_psndoc";
	public static final String	BILL_CODE		= "bill_code";
	public static final String	PK_GROUP		= "pk_group";
	public static final String	PK_ORG			= "pk_org";
	public static final String	PK_HI_ORG		= "pk_hi_org";
	public static final String	PK_BILLTYPE		= "pk_billtype";
	public static final String	APPROVE_STATE	= "approve_state";
	public static final String	WORKFLOW_STATE	= "workflow_state";
	public static final String	BUSINESS_TYPE	= "business_type";
	public static final String	TRANSTYPE		= "transtype";
	public static final String	TRANSTYPEID		= "transtypeid";
	public static final String	BILLMAKER		= "billmaker";
	public static final String	APPLY_DATE		= "apply_date";
	public static final String	APPROVER		= "approver";
	public static final String	APPROVE_TIME	= "approve_time";
	public static final String	APPROVE_NOTE	= "approve_note";
	public static final String	MEMO			= "memo";
	public static final String	CREATOR			= "creator";
	public static final String	CREATIONTIME	= "creationtime";
	public static final String	MODIFIER		= "modifier";
	public static final String	MODIFIEDTIME	= "modifiedtime";
	public static final String	ISSYNCWORK		= "issyncwork";

	/**
	 * 属性pk_entryapply的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getPk_entryapply()
	{
		return pk_entryapply;
	}

	/**
	 * 属性pk_entryapply的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newpk_entryapply String
	 */
	public void setPk_entryapply(String newpk_entryapply)
	{
		this.pk_entryapply = newpk_entryapply;
	}

	/**
	 * 属性pk_psnjob的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getPk_psnjob()
	{
		return pk_psnjob;
	}

	/**
	 * 属性pk_psnjob的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newPk_psnjob String
	 */
	public void setPk_psnjob(String newPk_psnjob)
	{
		this.pk_psnjob = newPk_psnjob;
	}

	/**
	 * 属性pk_psndoc的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getPk_psndoc()
	{
		return pk_psndoc;
	}

	/**
	 * 属性pk_psndoc的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newPk_psndoc String
	 */
	public void setPk_psndoc(String newPk_psndoc)
	{
		this.pk_psndoc = newPk_psndoc;
	}

	/**
	 * 属性bill_code的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getBill_code()
	{
		return bill_code;
	}

	/**
	 * 属性bill_code的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newBill_code String
	 */
	public void setBill_code(String newBill_code)
	{
		this.bill_code = newBill_code;
	}

	/**
	 * 属性pk_group的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getPk_group()
	{
		return pk_group;
	}

	/**
	 * 属性pk_group的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newPk_group String
	 */
	public void setPk_group(String newPk_group)
	{
		this.pk_group = newPk_group;
	}

	/**
	 * 属性pk_org的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getPk_org()
	{
		return pk_org;
	}

	/**
	 * 属性pk_org的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newPk_org String
	 */
	public void setPk_org(String newPk_org)
	{
		this.pk_org = newPk_org;
	}

	/**
	 * 属性pk_hi_org的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getPk_hi_org()
	{
		return pk_hi_org;
	}

	/**
	 * 属性pk_hi_org的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newPk_hi_org String
	 */
	public void setPk_hi_org(String newPk_hi_org)
	{
		this.pk_hi_org = newPk_hi_org;
	}

	/**
	 * 属性pk_billtype的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getPk_billtype()
	{
		return pk_billtype;
	}

	/**
	 * 属性pk_billtype的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newPk_billtype String
	 */
	public void setPk_billtype(String newPk_billtype)
	{
		this.pk_billtype = newPk_billtype;
	}

	/**
	 * 属性approve_state的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return Integer
	 */
	public Integer getApprove_state()
	{
		return approve_state;
	}

	/**
	 * 属性approve_state的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newApprove_state Integer
	 */
	public void setApprove_state(Integer newApprove_state)
	{
		this.approve_state = newApprove_state;
	}

	/**
	 * 属性business_type的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getBusiness_type()
	{
		return business_type;
	}

	/**
	 * 属性business_type的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newBusiness_type String
	 */
	public void setBusiness_type(String newBusiness_type)
	{
		this.business_type = newBusiness_type;
	}

	/**
	 * 属性billmaker的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getBillmaker()
	{
		return billmaker;
	}

	/**
	 * 属性billmaker的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newbillmaker String
	 */
	public void setBillmaker(String newbillmaker)
	{
		this.billmaker = newbillmaker;
	}

	/**
	 * 属性apply_date的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return UFDate
	 */
	public UFLiteralDate getApply_date()
	{
		return apply_date;
	}

	/**
	 * 属性apply_date的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newApply_date UFDate
	 */
	public void setApply_date(UFLiteralDate newApply_date)
	{
		this.apply_date = newApply_date;
	}

	/**
	 * 属性approver的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getApprover()
	{
		return approver;
	}

	/**
	 * 属性approver的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newApprover String
	 */
	public void setApprover(String newApprover)
	{
		this.approver = newApprover;
	}

	/**
	 * 属性approve_time的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return UFDate
	 */
	public UFDateTime getApprove_time()
	{
		return approve_time;
	}

	/**
	 * 属性approve_time的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newApprove_time UFDate
	 */
	public void setApprove_time(UFDateTime newApprove_time)
	{
		this.approve_time = newApprove_time;
	}

	/**
	 * 属性approve_note的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getApprove_note()
	{
		return approve_note;
	}

	/**
	 * 属性approve_note的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newApprove_note String
	 */
	public void setApprove_note(String newApprove_note)
	{
		this.approve_note = newApprove_note;
	}

	/**
	 * 属性memo的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getMemo()
	{
		return memo;
	}

	/**
	 * 属性memo的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newMemo String
	 */
	public void setMemo(String newMemo)
	{
		this.memo = newMemo;
	}

	/**
	 * 属性creator的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getCreator()
	{
		return creator;
	}

	/**
	 * 属性creator的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newCreator String
	 */
	public void setCreator(String newCreator)
	{
		this.creator = newCreator;
	}

	/**
	 * 属性creationtime的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return UFDateTime
	 */
	public UFDateTime getCreationtime()
	{
		return creationtime;
	}

	/**
	 * 属性creationtime的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newCreationtime UFDateTime
	 */
	public void setCreationtime(UFDateTime newCreationtime)
	{
		this.creationtime = newCreationtime;
	}

	/**
	 * 属性modifier的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getModifier()
	{
		return modifier;
	}

	/**
	 * 属性modifier的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newModifier String
	 */
	public void setModifier(String newModifier)
	{
		this.modifier = newModifier;
	}

	/**
	 * 属性modifiedtime的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return UFDateTime
	 */
	public UFDateTime getModifiedtime()
	{
		return modifiedtime;
	}

	/**
	 * 属性modifiedtime的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newModifiedtime UFDateTime
	 */
	public void setModifiedtime(UFDateTime newModifiedtime)
	{
		this.modifiedtime = newModifiedtime;
	}

	/**
	 * 属性dr的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return Integer
	 */
	public Integer getDr()
	{
		return dr;
	}

	/**
	 * 属性dr的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newDr Integer
	 */
	public void setDr(Integer newDr)
	{
		this.dr = newDr;
	}

	/**
	 * 属性ts的Getter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return UFDateTime
	 */
	public UFDateTime getTs()
	{
		return ts;
	}

	/**
	 * 属性ts的Setter方法.
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @param newTs UFDateTime
	 */
	public void setTs(UFDateTime newTs)
	{
		this.ts = newTs;
	}

	/**
	 * <p>
	 * 取得父VO主键字段.
	 * <p>
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getParentPKFieldName()
	{
		return null;
	}

	/**
	 * <p>
	 * 取得表主键.
	 * <p>
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getPKFieldName()
	{
		return "pk_entryapply";
	}

	/**
	 * <p>
	 * 返回表名称.
	 * <p>
	 * 创建日期:2009-12-11 09:15:17
	 * 
	 * @return String
	 */
	public String getTableName()
	{
		return "hi_entryapply";
	}

	/**
	 * 按照默认方式创建构造子.
	 * 创建日期:2009-12-11 09:15:17
	 */
	public EntryapplyVO()
	{
		super();
	}

	public String getTranstype()
	{
		return transtype;
	}

	public void setTranstype(String transtype)
	{
		this.transtype = transtype;
	}

	public void setTranstypeid(String transtypeid)
	{
		this.transtypeid = transtypeid;
	}

	public String getTranstypeid()
	{
		return transtypeid;
	}

	public void setIssyncwork(UFBoolean issyncwork)
	{
		this.issyncwork = issyncwork;
	}

	public UFBoolean getIssyncwork()
	{
		return issyncwork;
	}

	public Integer getWorkflow_state() {
		return workflow_state;
	}

	public void setWorkflow_state(Integer workflow_state) {
		this.workflow_state = workflow_state;
	}

	public UFBoolean getIsneedfile() {
		return isneedfile;
	}

	public void setIsneedfile(UFBoolean isneedfile) {
		this.isneedfile = isneedfile;
	}
}
